#include <stdio.h>
#include <CUnit/CUnit.h>
#include <CUnit/Basic.h>

void demoTest();

int main (int argc, const char * argv[]) {
    
    if (CU_initialize_registry() != CUE_SUCCESS) {
        fprintf(stderr, "failed to initialize CUnit registry\n");
        return 1;
    }
    
    CU_pSuite suite = CU_add_suite("DemoSuite", NULL, NULL);
    if (suite == NULL) {
        fprintf(stderr, "failed to add test suite\n");
        return 1;
    }
    
    CU_ADD_TEST(suite, demoTest);
    
    if (CU_basic_run_tests() != CUE_SUCCESS) {
        fprintf(stderr, "tests failed\n");
        return 1;
    }
    
    return 0;
}


void demoTest()
{
    CU_PASS("always passes");
}
